Subject: Re: "...Bush Seeks $600 Million to Hunt Iraq Arms"

From: [email-masked] (Jeanette S.)
Date: Mon, 20 Oct 2003 10:41:23 -0500 (CDT)

Bobbie wrote:  "Therefore the full cost of each medication is $27.30 and
that's Australian money, so you can see how American's are being taken
by your Pharmeceutical companies. What would a person without your
medical insurance plan pay for the BP tabs you take daily? 
**********************************************
I don't know how much the Cozaar I take for elevated BP would cost off
the shelf.  I paid $50 recently for a month's supply, which was my copay
amount.  Without my medical insurance plan, a benefit from my employer
when I retired,
one of my presriptions (for heart arrhythmias would have cost, for Brand
name, about $3.50 a pill and I took 30 a month, or $105.  My copay was
$25.00.  When it finally became a generic drug, I switched to generic
and it cost me $15 a month.  Jeanette